# Class CAMetadataConstraintExpressions

java.lang.Object
com.io7m.cardant.parsers.CAExpressions
com.io7m.cardant.parsers.CAMetadataConstraintExpressions

All Implemented Interfaces:
  `CASyntaxType`

public final class CAMetadataConstraintExpressions extends CAExpressions
Expression parsers for type constraints.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CAMetadataConstraintExpressions(CAStrings inStrings)`
  Expression parsers for type constraints.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `com.io7m.jranges.RangeInclusiveL`
  `integerRange(String text)`
  Parse a range.
  `CAMonetaryRange`
  `monetaryRange(String text)`
  Parse a range.
  `com.io7m.jranges.RangeInclusiveD`
  `realRange(String text)`
  Parse a range.
  `SortedSet<CASyntaxRuleType>`
  `syntaxRules()`
  `CATimeRange`
  `timeRange(String text)`
  Parse a range.

  ### Methods inherited from class com.io7m.cardant.parsers.CAExpressions

  `createParseError, createParseError, parse, ruleBranch, ruleLeaf, ruleLeafWithExamples, serialize, strings`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CAMetadataConstraintExpressions

    public CAMetadataConstraintExpressions(CAStrings inStrings)
    Expression parsers for type constraints.
    Parameters:
      `inStrings` - The string resources

- ## Method Details

  - ### timeRange

    public CATimeRange timeRange(String text) throws CAException
    Parse a range.
    Parameters:
      `text` - The text
    Returns:
      A range
    Throws:
      `CAException` - On errors

  - ### integerRange

    public com.io7m.jranges.RangeInclusiveL integerRange(String text) throws CAException
    Parse a range.
    Parameters:
      `text` - The text
    Returns:
      A range
    Throws:
      `CAException` - On errors

  - ### realRange

    public com.io7m.jranges.RangeInclusiveD realRange(String text) throws CAException
    Parse a range.
    Parameters:
      `text` - The text
    Returns:
      A range
    Throws:
      `CAException` - On errors

  - ### monetaryRange

    public CAMonetaryRange monetaryRange(String text) throws CAException
    Parse a range.
    Parameters:
      `text` - The text
    Returns:
      A range
    Throws:
      `CAException` - On errors

  - ### syntaxRules

    public SortedSet<CASyntaxRuleType> syntaxRules()
    Returns:
      The syntax rules